use strict;
use warnings;
use Test::More;
use lib 't/lib';
use PScm::Test tests => 3;

BEGIN { use_ok('PScm') }

eval_ok(<<EOF, <<EOX, 'global definition');
(define square
        (lambda (x) (* x x)))
(square 4)
EOF
square
16
EOX

eval_ok(<<EOF, <<EOX, 'local definition');
(define times2
    (lambda (x)
        (begin
            (define h
                (lambda (k)
                    (- k (- k))))
            (h x))))
(times2 5)
EOF
times2
10
EOX

# vim: ft=perl
